Bug 1966684 - Verify "Creating snapshot for claim <1>{pvcName}</1>" displays correctly
Summary: Verify "Creating snapshot for claim <1>{pvcName}</1>" displays correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: Bryan Florkiewicz
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-01 16:41 UTC by ralpert
Modified: 2021-07-27 23:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:11:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
pesudo translation before fix (61.45 KB, image/png)
2021-06-09 09:11 UTC, Yadan Pei
no flags Details
pssudo translation after fix (42.53 KB, image/png)
2021-06-09 09:12 UTC, Yadan Pei
no flags Details
chinese translation after fix - still in English (53.01 KB, image/png)
2021-06-09 09:13 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9163 0 None open Bug 1966684: Fix creating snapshot for claim <name> string 2021-06-08 15:19:22 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:11:15 UTC

Description ralpert 2021-06-01 16:41:34 UTC
Description of problem:
On review of console-app.json, it looks like there is a key with single brackets:
"Creating snapshot for claim <1>{pvcName}</1>"

Typically you need double brackets for the data to show. We should verify that the data displays correctly in the UI and add brackets if necessary.

Version-Release number of selected component (if applicable):
4.8

How reproducible:
Always

Steps to Reproduce:
1. Look at console-app.json

Actual results:
Single brackets - data may not display in UI

Expected results:
Data displays correctly in UI

Comment 2 Yadan Pei 2021-06-09 09:11:28 UTC
Created attachment 1789530 [details]
pesudo translation before fix

Comment 3 Yadan Pei 2021-06-09 09:12:12 UTC
Created attachment 1789531 [details]
pssudo translation after fix

Comment 4 Yadan Pei 2021-06-09 09:13:12 UTC
Created attachment 1789532 [details]
chinese translation after fix - still in English

Comment 5 Yadan Pei 2021-06-09 09:19:47 UTC
it looks like when language is set to Chinese, the sentence is still in English. However comparing pesudo translation before the fix and after the fix, it looks good.

this is checked against 4.8.0-0.nightly-2021-06-09-000526, assigning back for confirmation


Hi bflorkie@redhat.com, could you help confirm if current behaviour is working as intended?

Comment 6 Samuel Padgett 2021-06-09 20:46:36 UTC
Hi, Yadan. Bryan's fix updates the message, which requires new translations to see the Chinese text. We'll need to deliver that in a z-stream. I think the pseudotranslation should be OK for verifying the bug.

Moving back to ON_QA.

Comment 7 Yadan Pei 2021-06-10 08:09:54 UTC
Thank you Sam, pesudotranslation works as expected so moving to VERIFIED per comment 5 and comment 6

Comment 10 errata-xmlrpc 2021-07-27 23:11:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.